const { ccclass } = cc._decorator;

@ccclass
export default class auto_splash extends cc.Component {
	Canvas: cc.Node;
	bg1: cc.Node;
	bg2: cc.Node;
	tip: cc.Node;
	txtVersion: cc.Node;
	txtTips: cc.Node;
	gProgress: cc.Node;
	progress: cc.Node;
	imgRole: cc.Node;
	txtProgress: cc.Node;
	txtProgressTips: cc.Node;

	public static URL:string = "db://assets/scene/splash.fire"

    onLoad () {
		let parent = this.node.getParent();
		this.Canvas = parent.getChildByName("Canvas");
		this.bg1 = this.Canvas.getChildByName("bg1");
		this.bg2 = this.Canvas.getChildByName("bg2");
		this.tip = this.bg2.getChildByName("tip");
		this.txtVersion = this.Canvas.getChildByName("txtVersion");
		this.txtTips = this.Canvas.getChildByName("txtTips");
		this.gProgress = this.Canvas.getChildByName("gProgress");
		this.progress = this.gProgress.getChildByName("progress");
		this.imgRole = this.gProgress.getChildByName("imgRole");
		this.txtProgress = this.gProgress.getChildByName("txtProgress");
		this.txtProgressTips = this.gProgress.getChildByName("txtProgressTips");

    }
}
